[personal profile] csjewell
I included a development version of the wxWidgets libraries in the Strawberry+Padre builds, and it turns out that the development version causes Padre to crash upon exit.

Here's what to do about it, until Padre 0.57 is released and a new build is created:


rem These 2 lines delete the old version, just to be safe.
del /F c:\strawberry\perl\vendor\lib\Alien\wxWidgets.pm
del /F /S c:\strawberry\perl\vendor\lib\Alien\wxWidgets\*.*

rem The next command should all be on one line,
rem and will install the fixed libraries.
perl -MPAR::Dist -e"install_par q(http://www.strawberryperl.com/download/padre/Alien-wxWidgets-0.50-MSWin32-x86-multi-thread-5.10.1.par)"

rem This rebuilds the Wx perl connector.
cpan -f Wx


(The .par file has now been updated to use wxWidgets 2.8.10 instead of the 2.9.0 that was used.)

Profile

csjewell

June 2011

S M T W T F S
   1234
567891011
12131415161718
192021 22232425
2627282930  

Style Credit

Page generated Oct. 25th, 2014 12:35 pm
Powered by Dreamwidth Studios

Expand Cut Tags

No cut tags

Most Popular Tags